Bug 97112 - P2FS: Unpublishing broken
P2FS: Unpublishing broken
Status: CLOSED RAWHIDE
Product: Red Hat Enterprise CMS
Classification: Retired
Component: other (Show other bugs)
nightly
All Linux
medium Severity medium
: ---
: ---
Assigned To: Justin Ross
Jon Orris
:
Depends On:
Blocks: 88926
  Show dependency treegraph
 
Reported: 2003-06-10 11:22 EDT by Jon Orris
Modified: 2007-04-18 12:54 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-11 18:22:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jon Orris 2003-06-10 11:22:48 EDT
Description of problem:
@32205/Postgres

When an item is unpublished, the following error shows up in the log from the
P2FS thread. Not sure if this is beta2 blocking, but marking as such as we're
triaging later today.


2003-06-10 08:41:19,206 [xport] ERROR publishToFile.QueueManager - Task
unpublish on item 4031(parent 4039) failed:  itemId=4031 task=unpublish on item
4031(parent 4039) destination=null failCount=0 error=No such object:
[com.arsdigita.cms.publishToFile.PublishedFile:{id=5}]
java.lang.IllegalArgumentException: No such object:
[com.arsdigita.cms.publishToFile.PublishedFile:{id=5}]
	at
com.arsdigita.persistence.proto.Session.fetchPropertyData(Session.java(Compiled
Code))
	at com.arsdigita.persistence.proto.Session$1.onRole(Session.java(Compiled Code))
	at com.arsdigita.persistence.proto.metadata.Role.dispatch(Role.java(Compiled Code))
	at com.arsdigita.persistence.proto.Session.get(Session.java(Compiled Code))
	at com.arsdigita.persistence.DataObjectImpl.get(DataObjectImpl.java(Compiled Code))
	at com.arsdigita.domain.DomainObject.get(DomainObject.java(Compiled Code))
	at
com.arsdigita.cms.publishToFile.PublishedFile.getFileName(PublishedFile.java:230)
	at com.arsdigita.cms.publishToFile.PublishedFile.delete(PublishedFile.java:137)
	at com.arsdigita.cms.publishToFile.PublishedFile.deleteAll(PublishedFile.java:197)
	at com.arsdigita.cms.publishToFile.PublishToFile.unpublish(PublishToFile.java:262)
	at com.arsdigita.cms.publishToFile.PublishToFile.doTask(PublishToFile.java:152)
	at
com.arsdigita.cms.publishToFile.QueueManager.processQueueBlock(QueueManager.java:429)
	at
com.arsdigita.cms.publishToFile.QueueManager.processQueueItems(QueueManager.java(Compiled
Code))
	at com.arsdigita.cms.publishToFile.QueueManager.run(QueueManager.java(Compiled
Code))
	at java.lang.Thread.run(Thread.java:512)
Comment 1 Justin Ross 2003-06-11 12:03:57 EDT
Archit, here's a little more info, if you care to comment.  In our roundup
yesterday, you seemed to suggest you knew what was up.  I'd like to get your take.

2003-06-11 12:02:24,772 [xport] DEBUG publishToFile.QueueManager - STARTING TASK
unpublish on item 1574(parent 1564)
2003-06-11 12:02:24,858 [xport] DEBUG publishToFile.PublishedFile - delete:
isTemplate false
2003-06-11 12:02:24,858 [xport] DEBUG publishToFile.PublishedFile - file name is
/content/kampf$alternate.de.html
2003-06-11 12:02:24,859 [xport] DEBUG publishToFile.PublishedFile - published
file path is /var/www/html/content/kampf$alternate.de.html
2003-06-11 12:02:24,859 [xport] DEBUG proto.Event -   set
[com.arsdigita.cms.publishToFile.PublishedFile:{id=51}].id null
2003-06-11 12:02:24,860 [xport] DEBUG proto.Event -   set
[com.arsdigita.cms.publishToFile.PublishedFile:{id=51}].draftId null
2003-06-11 12:02:24,860 [xport] DEBUG proto.Event -   set
[com.arsdigita.cms.publishToFile.PublishedFile:{id=51}].itemId null
2003-06-11 12:02:24,860 [xport] DEBUG proto.Event -   set
[com.arsdigita.cms.publishToFile.PublishedFile:{id=51}].fileName null
2003-06-11 12:02:24,861 [xport] DEBUG proto.Event -   delete
[com.arsdigita.cms.publishToFile.PublishedFile:{id=51}]
2003-06-11 12:02:24,869 [xport] ERROR publishToFile.QueueManager - Task
unpublish on item 1574(parent 1564) failed:  itemId=1574 task=unpublish on item
1574(parent 1564) destin\ation=null failCount=1 error=No such object:
[com.arsdigita.cms.publishToFile.PublishedFile:{id=51}]
java.lang.IllegalArgumentException: No such object:
[com.arsdigita.cms.publishToFile.PublishedFile:{id=51}]
        at
com.arsdigita.persistence.proto.Session.fetchPropertyData(Session.java:730)
        at com.arsdigita.persistence.proto.Session$1.onRole(Session.java:85)
        at com.arsdigita.persistence.proto.metadata.Role.dispatch(Role.java:73)
        at com.arsdigita.persistence.proto.Session.get(Session.java:83)
        at com.arsdigita.persistence.DataObjectImpl.get(DataObjectImpl.java:187)
        at com.arsdigita.domain.DomainObject.get(DomainObject.java:436)
        at
com.arsdigita.cms.publishToFile.PublishedFile.getFileName(PublishedFile.java:230)
        at
com.arsdigita.cms.publishToFile.PublishedFile.delete(PublishedFile.java:137)
        at
com.arsdigita.cms.publishToFile.PublishedFile.deleteAll(PublishedFile.java:197)
        at
com.arsdigita.cms.publishToFile.PublishToFile.unpublish(PublishToFile.java:262)
        at
com.arsdigita.cms.publishToFile.PublishToFile.doTask(PublishToFile.java:152)
        at
com.arsdigita.cms.publishToFile.QueueManager.processQueueBlock(QueueManager.java:429)
        at
com.arsdigita.cms.publishToFile.QueueManager.processQueueItems(QueueManager.java:358)
        at com.arsdigita.cms.publishToFile.QueueManager.run(QueueManager.java:315)
        at java.lang.Thread.run(Thread.java:484)



Note You need to log in before you can comment on or make changes to this bug.